package ink.wgink.module.form.dao.formreport;

import ink.wgink.exceptions.RemoveException;
import ink.wgink.exceptions.SaveException;
import ink.wgink.exceptions.SearchException;
import ink.wgink.exceptions.UpdateException;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @ClassName: IFormReportDao
 * @Description: 表单上报
 * @Author: wanggeng
 * @Date: 2022/3/14 8:27 PM
 * @Version: 1.0
 */
@Repository
public interface IFormReportDao {

    void save(Map<String, Object> params) throws SaveException;

    void remove(Map<String, Object> params) throws RemoveException;

    void update(Map<String, Object> params) throws UpdateException;

    void updateProcessInstanceId(Map<String, Object> params) throws UpdateException;

    Map<String, Object> get(Map<String, Object> params) throws SearchException;

    List<Map<String, Object>> list(Map<String, Object> queryParams) throws SearchException;

    Integer countByTableName(String tableName) throws SearchException;
}
